%define oname kup

%define major 1
%define libgit24kup %mklibname git24kup %{major}

Summary:	A KDE-based frontend for the very excellent backup software
Name:		plasma5-kup
Version:	0.6.1
Release:	1
License:	GPLv2+
Group:		Archiving/Backup
# Also https://github.com/spersson/Kup
Url:		http://kde-apps.org/content/show.php/Kup+Backup+System?content=147465
Source0:	https://github.com/spersson/Kup/archive/Kup-%{oname}-%{version}.tar.gz
Source10:	kup-0.6.1-ru.po
# Avoid version conflicts with KDE4 kup package
Patch0:		Kup-kup-0.6.0-libgit24kup-soname.patch
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5init-devel
BuildRequires:	kf5idletime-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5solid-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
Requires:	bup
Requires:	parchive2
Requires:	rsync
# KDE4-based package
Conflicts:	kup < 0.6.0

%description
Kup is created for helping people to keep up-to-date backups of their personal
files.

Backup types:
 - Synchronized folders with the use of "rsync".
 - Incremental backup archive with the use of "bup"
Backup destinations:
 - local filesystem, monitored for availability. That means you can set
   a destination folder which only exist when perhaps a network shared drive
   is mounted and Kup will detect when it becomes available.
 - external storage, like usb hard drives. Also monitored for availability.
Schedules:
 - manual only (triggered from tray icon popup menu)
 - interval (suggests new backup after some time has passed since last backup)
 - usage based (suggests new backup after you have been active on your computer
   for some hours since last backup).

%files -f %{oname}.lang
%doc LICENSE MAINTAINER README.md
%{_kde5_autostart}/kup-daemon.desktop
%{_kde5_bindir}/kup-daemon
%{_kde5_bindir}/kup-filedigger
%{_kde5_iconsdir}/hicolor/*/*/*
%{_kde5_libdir}/libkdeinit5_kup-daemon.so
%{_kde5_notificationsdir}/kupdaemon.notifyrc
%{_kde5_services}/bup.protocol
%{_kde5_services}/kcm_kup.desktop
%{_qt5_plugindir}/kcm_kup.so
%{_qt5_plugindir}/kio_bup.so

#----------------------------------------------------------------------------

%package -n %{libgit24kup}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libgit24kup}
Shared library for %{name}.

%files -n %{libgit24kup}
%{_kde5_libdir}/libgit24kup.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn Kup-%{oname}-%{version}
%patch0 -p1
cp %{SOURCE10} po/ru.po

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

rm -f %{buildroot}%{_kde5_libdir}/libgit24kup.so

%find_lang %{oname}


%changelog

* Fri Aug 19 2016 Victor Ryzhikh <victorr2007@yandex.ru> 0.6.1-1
- (77febce) Added dependency parchive2


